require "player"
require "world"
require "objects"
require "hardoncollider"


count = 0



function love.load()
  
  
  
end
function love.update(dt)
  
  --Gets current Frames Per Second
  fps = love.timer.getFPS()
  
  if objects.count > objects.maxLimit then
    
    table.remove(objects, 10)
    end

  OBJECT_UPDATE(dt)
  PLAYER_UPDATE(dt)
  WORLD_UPDATE(dt)
  
  
end
function love.keypressed(key) 
  
   --Jumps when pressing "spacebar"
   if key == " " then
     if player.yvel == 0 then
       player.yvel = player.jumpHeight * -1
     end
   end
   
   --Quits the game when pressing "q"
   if key == "q" then
     love.event.quit()
   end 
   
   --Spawns objects at the mouse position
   if key == "e" then  
     spawnObjects(love.mouse.getX(), love.mouse.getY(), objects.width, objects.height, objects.yvel, world.gravity)
     count = count + 1
     end
end
function love.draw()
  
     WORLD_DRAW()
     PLAYER_DRAW()
     OBJECT_DRAW()
   
    --Debug Screen (Top left)
  love.graphics.print("FPS: "..fps, 0, 0)  
  love.graphics.print("Objects: "..objects.count, 0, 20)
  --love.graphics.print("Player X pos: "..player.x, 0, 40)
  --love.graphics.print("Player Y pos: "..player.y, 0, 50)

  
  
end