require "player"

objects = {}

  objects.width = 50
  objects.height = 50
  objects.yvel = 1
  objects.maxLimit = 200000
  objects.col = false
  objects.count = 0
  
  
  function spawnObjects(x, y, width, height, yvel, gravity)
--Creating local variables    
    local newObject = {
        x = x,
        y = y,
        width = width,
        height = height,
        yvel = yvel,
        gravity = gravity
        }
      
  --Inserting local variables in the table "Objects"    
  table.insert(objects,newObject)
  objects.count = objects.count + 1
  return newObject
  
end

function OBJECT_UPDATE(dt)
  
  --UPDATES everything in the table "Objects"
  for i, object in ipairs(objects) do
         object.yvel = object.yvel + object.gravity
        
        if object.y + object.height < world.floorY then
        object.y = object.y + object.yvel
       
        else object.yvel = 0 object.y = 450
        end
    end
    
   --Object collision 
   for i, object in ipairs(objects) do
      if object.y > object.y then
        object.yvel = 0
      end
      
      
     
   end
   
    
    
end
function OBJECT_DRAW()
  
  --DRAWING everything in the table "Objects"
  for i, object in ipairs(objects) do
         love.graphics.rectangle("fill", object.x, object.y, object.width, object.height)
        
    end
  
  end
 
 